# return h_max of a ngmesh, object of class netgen.libngpy._meshing.Mesh


#------------------------------------------------------------------------------#


def MaximumMeshSize(ngmesh):
  from math import sqrt

  hmax = 0.0
  for e in range(len(ngmesh.Elements3D())):
    el = ngmesh.Elements3D()[e]
    for i in range(4):
      for j in range(i+1,4):
        p1 = ngmesh.Points()[el.vertices[i]].p
        p2 = ngmesh.Points()[el.vertices[j]].p
  
        h = sqrt(sum((p1[k]-p2[k])**2 for k in range(3)))

        if h > hmax:
          hmax = h

  return hmax


#------------------------------------------------------------------------------#
