

################################################################################


def _OpInterfacialDMI(Dgf, ax):
  from ngsolve import CoefficientFunction
  op = [None, None, None]

  axisMap = {'x': 0, 'y': 1, 'z': 2}
  axis = axisMap[ax]

  for j in range(3):
    if(j ==  axis):
      op[j] = sum(Dgf[k,k] for k in range(3) if k != axis)
    else:
      op[j] = -Dgf[axis,j]

  return CoefficientFunction((op[0], op[1], op[2]))


################################################################################
