### collection of Mag_eta linear forms ###


################################################################################


class LinearForms_Eta:
  

#------------------------------------------------------------------------------#


  def _EtaLinearTerms_pi(self):
    return self._EtaUniaxialAnisotropyTerm() + self._EtaStrayFieldTerm() \
      + self._EtaDzyaloshinskiiMoriyaTerm()


#------------------------------------------------------------------------------#


  def _EtaUniaxialAnisotropyTerm(self):
    return -self._C_ani * self._UniaxialAnisotropy(self._Mag_eta.m)


#------------------------------------------------------------------------------#


  def _EtaStrayFieldTerm(self):
    return self._Stray(self._Mag_eta)


#------------------------------------------------------------------------------#


  def _EtaDzyaloshinskiiMoriyaTerm(self):
    return -0.5 * self._C_dm \
      * self._DzyaloshinskiiMoriya(self._Mag_eta.m, self._Mag_eta.Dm)


#------------------------------------------------------------------------------#


  def _EtaNonLinearTerms_Pi(self):
    return self._EtaSpintronicsTerm()


#------------------------------------------------------------------------------#


  def _EtaSpintronicsTerm(self):
    return self._C_st * self._Spintronics(self._Mag_eta.m, self._Mag_eta.Dm)


#------------------------------------------------------------------------------#


################################################################################
