### collection of Mag_old linear forms ###


################################################################################


class LinearForms_Old:
  

#------------------------------------------------------------------------------#


  def _OldLinearTerms_pi(self):
    return self._OldUniaxialAnisotropyTerm() \
      + self._OldStrayFieldTerm() \
      + self._OldDzyaloshinskiiMoriyaTerm()


#------------------------------------------------------------------------------#


  def _OldLinearTerms_pi_Explicit_RHS(self):
    return self._OldUniaxialAnisotropyTerm() \
      + self._OldStrayFieldTerm() \
      + self._OldDzyaloshinskiiMoriyaTerm_Explicit_RHS()


#------------------------------------------------------------------------------#


  def _OldUniaxialAnisotropyTerm(self):
    return -self._C_ani * self._OldUniaxialAnisotropy()


#------------------------------------------------------------------------------#


  def _OldStrayFieldTerm(self):
    return self._OldStrayField()


#------------------------------------------------------------------------------#


  def _OldDzyaloshinskiiMoriyaTerm(self):
    return -0.5 * self._C_dm * self._OldDzyaloshinskiiMoriya()


#------------------------------------------------------------------------------#


  def _OldDzyaloshinskiiMoriyaTerm_Explicit_RHS(self):
    if self.parameters.dmImplicitTreatment:
      return self._ZeroCF()
    else:
      return -0.5 * self._C_dm * self._OldDzyaloshinskiiMoriya()


#------------------------------------------------------------------------------#


  def _OldUniaxialAnisotropy(self):
    return self._UniaxialAnisotropy(self._Mag_old.m)


#------------------------------------------------------------------------------#


  def _OldStrayField(self):
    return self._Stray(self._Mag_old)


#------------------------------------------------------------------------------#


  def _OldDzyaloshinskiiMoriya(self):
    return self._DzyaloshinskiiMoriya(self._Mag_old.m, self._Mag_old.Dm)


#------------------------------------------------------------------------------#


  def _OldDerivNonLinearTerms(self):
    return self._OldDerivSpintronicsTerm()


#------------------------------------------------------------------------------#


  def _OldDerivSpintronicsTerm(self):
    return self._C_st * self._OldDerivSpintronics()


#------------------------------------------------------------------------------#


  def _OldDerivSpintronics(self):
    return self._DerivSpintronics(self._Mag.m, self._Mag_old.m \
      , self._Mag.Dm, self._Mag_old.Dm)


#------------------------------------------------------------------------------#


################################################################################
