from . import _magnetostaticField
from ngsolve import H1
from . import _detailsStrayField


################################################################################


class StrayField(_magnetostaticField._MagnetostaticField):
  

  _discreteSpace = H1
  _decomposition = lambda u1, u2: -u1.Deriv() - u2.Deriv()
  _lfOperator = lambda phi: phi.Deriv()
  _label = "hs"

  _femInitializer = _detailsStrayField.DetailsStrayField
  _femStatic = None


#-----------------------------------------------------------------------------#


################################################################################
