from commics._setup.geometries.standardGeometries._structuredMeshing.addMesh_Face \
  import AddMesh_LeftFace, AddMesh_RightFace, AddMesh_FrontFace \
  , AddMesh_BackFace, AddMesh_BottomFace, AddMesh_TopFace


################################################################################


def AddStructuredMesh_BoundaryFaceCuboid(ngmesh, fd, p, side):
  AddMesh_Face = \
    { "xmin" : AddMesh_LeftFace \
    , "xmax" : AddMesh_RightFace \
    , "ymin" : AddMesh_FrontFace \
    , "ymax" : AddMesh_BackFace \
    , "zmin" : AddMesh_BottomFace \
    , "zmax" : AddMesh_TopFace \
    }
  
  try:
    AddMesh_Face[side](ngmesh, fd, p)
  except(KeyError):
    raise ValueError("side", side, "not valid. Form must be, e.g., \"xmin\"")


#------------------------------------------------------------------------------#


################################################################################
