

################################################################################


def AddStructuredObtuseMesh_MicroCuboid(ngmesh, p, center):
  from netgen.meshing import Element3D

  ngmesh.Add(Element3D(1, [p[0, 0, 0], p[1, 0, 0], center, p[1, 1, 0]]))
  ngmesh.Add(Element3D(1, [p[1, 0, 0], p[1, 0, 1], center, p[1, 1, 0]]))
  ngmesh.Add(Element3D(1, [p[1, 0, 1], p[1, 1, 1], center, p[1, 1, 0]]))
  ngmesh.Add(Element3D(1, [p[1, 1, 1], p[0, 1, 1], center, p[1, 1, 0]]))
  ngmesh.Add(Element3D(1, [p[0, 1, 1], p[0, 1, 0], center, p[1, 1, 0]]))
  ngmesh.Add(Element3D(1, [p[0, 1, 0], p[0, 0, 0], center, p[1, 1, 0]]))

  ngmesh.Add(Element3D(1, [p[0, 0, 0], p[1, 0, 0], p[0, 0, 1], center]))
  ngmesh.Add(Element3D(1, [p[1, 0, 0], p[1, 0, 1], p[0, 0, 1], center]))
  ngmesh.Add(Element3D(1, [p[1, 0, 1], p[1, 1, 1], p[0, 0, 1], center]))
  ngmesh.Add(Element3D(1, [p[1, 1, 1], p[0, 1, 1], p[0, 0, 1], center]))
  ngmesh.Add(Element3D(1, [p[0, 1, 1], p[0, 1, 0], p[0, 0, 1], center]))
  ngmesh.Add(Element3D(1, [p[0, 1, 0], p[0, 0, 0], p[0, 0, 1], center]))

################################################################################
