

################################################################################


def LoadMagnetization(filename):
  import numpy as np
  f = open(filename, "r")
  data = f.read()
  f.close()
  
  idx = data.rindex("FIELD FieldData 1\n")
  data = data[idx:]
  
  idx1 = data.index(" 3 ")
  idx2 = data.index(" float\n")
  
  N = int( data[idx1+3:idx2] )
  
  data = data[idx2+7:]
  
  # data save point-wise
  m_pw = np.fromstring(data, dtype=float, count=-1, sep=" ")
  
  # seperate by dimensions
  m_dw = m_pw.reshape( (N,3) )
  
  # convert to flat vector
  m_fv = m_dw.reshape( (3*N, ), order="F")
  
  return m_fv


################################################################################
