
################################################################################


class IterationCounter(object):

#------------------------------------------------------------------------------#


  def __init__(self, disp=False):
    self._disp = disp
    self.niter = 0


#------------------------------------------------------------------------------#


  def __call__(self, rk=None):
    self.niter += 1
    if self._disp:
      print('iter %3i\trk = %s' % (self.niter, str(rk)))


#------------------------------------------------------------------------------#

  
  def __str__(self):
    return "Iterations = " + str(self.niter)


#------------------------------------------------------------------------------#

  
  def GetCount(self):
    return self.niter


#------------------------------------------------------------------------------#

  
  def Reset(self):
    self.niter = 0


#------------------------------------------------------------------------------#

  
################################################################################
