### collection of bilinear forms, stemming from implicit treatment of pi ###


################################################################################


class BilinearForms_piImplicit:
  

#------------------------------------------------------------------------------#


  def _DerivLinearTerms_pi_Implicit_LHS(self):
    return -self._theta * self._k \
      * self._DerivDzyaloshinskiiMoriya_Implicit_LHS_Term()


#------------------------------------------------------------------------------#


  def _DerivDzyaloshinskiiMoriya_Implicit_LHS_Term(self):
    if not(self.parameters.dmImplicitTreatment):
      return self._ZeroCF()
    else:
      return -0.5 * self._C_dm * self._DerivDzyaloshinskiiMoriya_Implicit_LHS()
        
        
#------------------------------------------------------------------------------#


  def _DerivDzyaloshinskiiMoriya_Implicit_LHS(self):
    from . import _bilinearForms
    return _bilinearForms.BulkDMI(self._psi, self._phi, self._Dpsi, self._Dphi)


#------------------------------------------------------------------------------#


################################################################################
